{
  lib,
  wallpaper,
}: {
  # Use `dconf watch /` to track stateful changes you are doing, then set them here.
  "org/gnome/desktop/interface" = {
    color-scheme = "prefer-dark";
    gtk-theme = "Adwaita-dark";
  };
  "org/gnome/desktop/background" = let
    width = 3840;
    height = 2160;
  in {
    picture-uri = "file://${wallpaper.override {
      preset = "nord-snow-aurora";
      inherit width;
      inherit height;
    }}/share/wallpapers/nixos-wallpaper.png";
    picture-uri-dark = "file://${wallpaper.override {
      preset = "nord-night-aurora";
      inherit width;
      inherit height;
    }}/share/wallpapers/nixos-wallpaper.png";
  };
  "org/gnome/desktop/wm/keybindings" = {
    switch-to-workspace-left = ["<Alt>1"];
    switch-to-workspace-right = ["<Alt>2"];
    move-to-workspace-left = ["<Shift><Alt>1"];
    move-to-workspace-right = ["<Shift><Alt>2"];
  };
  "org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0" = {
    binding = "<Shift><Alt>a";
    command = "kgx";
    name = "Console";
  };
  "org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom1" = {
    binding = "<Shift><Alt>f";
    command = "nautilus";
    name = "File Manager";
  };
  "org/gnome/settings-daemon/plugins/media-keys" = {
    custom-keybindings = [
      "/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/"
      "/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom1/"
    ];
  };
  "org/gnome/mutter" = {
    edge-tiling = true;
    dynamic-workspaces = true;
  };
  "org/gnome/Console" = {
    theme = "auto";
  };
  "org/gnome/shell" = {
    disable-user-extensions = false;
    enabled-extensions = [
      "quick-settings-audio-panel@rayzeq.github.io"
      "places-menu@gnome-shell-extensions.gcampax.github.com"
      "launch-new-instance@gnome-shell-extensions.gcampax.github.com"
      "trayIconsReloaded@selfmade.pl"
    ];
  };
}
