{
  enable,
  pkgs,
}: {
  inherit enable;
  enableUpdateCheck = false;
  enableExtensionUpdateCheck = false;
  keybindings = [
    {
      key = "alt+a";
      command = "editor.action.commentLine";
      when = "editorTextFocus && !editorReadonly";
    }
  ];
  extensions = with pkgs.vscode-extensions; [
    jnoortheen.nix-ide
    arrterian.nix-env-selector
    mkhl.direnv
    ms-python.python
    ms-python.vscode-pylance
    james-yu.latex-workshop
  ];
  userSettings = {
    "window.menuBarVisibility" = "hidden";
    "[nix]" = {
      "editor.formatOnSave" = true;
    };
    "[python]" = {
      "editor.formatOnSave" = true;
    };
    "[latex]" = {
      "editor.formatOnSave" = true;
    };
    "python.formatting.autopep8Path" = "${pkgs.python311Packages.autopep8}/bin/autopep8";
    "nix.enableLanguageServer" = true;
    "nix.serverPath" = "${pkgs.nil}/bin/nil";
    "nix.serverSettings" = {
      nil = {
        formatting = {command = ["${pkgs.alejandra}/bin/alejandra"];};
      };
    };
    "direnv.path.executable" = "${pkgs.direnv}/bin/direnv";
    "latex-workshop.latex.outDir" = "%DIR%/out";
  };
}
